# Uses of Class
ij.gui.Plot

Packages that use Plot
Package
Description
ij
ij.gui
ij.measure
ij.plugin

## Uses of Plot in ij

Methods in ij that return Plot
Modifier and Type
Method
Description
`Plot`
ImagePlus.`getPlot()`
Methods in ij with parameters of type Plot
Modifier and Type
Method
Description
`void`
ImagePlus.`setPlot(Plot plot)`

## Uses of Plot in ij.gui

Methods in ij.gui that return Plot
Modifier and Type
Method
Description
`Plot`
PlotCanvas.`getPlot()`
Returns the Plot displayed in this canvas
`Plot`
PlotMaker.`getPlot()`
Returns a profile plot.
`Plot`
PlotWindow.`getPlot()`
Returns the Plot associated with this PlotWindow.
`Plot`
ProfilePlot.`getPlot()`
Methods in ij.gui with parameters of type Plot
Modifier and Type
Method
Description
`int`
Plot.`addObjectFromPlot(Plot plot, int i)`
Add the i-th PlotObject (in the sequence how they were added, including hidden ones) from another plot to this one.
`void`
PlotVirtualStack.`addPlot(Plot plot)`
Adds a plot to the end of the stack.
`void`
PlotWindow.`drawPlot(Plot plot)`
Draws a new plot in this window.
`void`
PlotCanvas.`setPlot(Plot plot)`
Tells the PlotCanvas which plot to use for zooming etc.
`void`
PlotWindow.`setPlot(Plot plot)`
Sets the Plot object shown in this PlotWindow.
`void`
Plot.`useTemplate(Plot plot)`
Adjusts the format with another plot as a template, using the current (usually default) templateFlags of this plot.
`void`
Plot.`useTemplate(Plot plot, int templateFlags)`
Adjusts the format (style) with another plot as a template.
Constructors in ij.gui with parameters of type Plot
Modifier
Constructor
Description
``
`PlotContentsDialog(Plot plot, int dialogType)`
Prepares a new PlotContentsDialog for an existing plot.
``
`PlotContentsDialog(Plot plot, String[] headings, String[] defaultHeadings, ArrayList<float[]> data)`
Prepares a new PlotContentsDialog for adding data from float[] arrays to a plot.
``
`PlotDialog(Plot plot, int dialogType)`
Constructs a new PlotDialog for a given plot and sets the type of dialog
``
`PlotWindow(ImagePlus imp, Plot plot)`
Creates a PlotWindow from a given ImagePlus with a Plot object.

## Uses of Plot in ij.measure

Methods in ij.measure that return Plot
Modifier and Type
Method
Description
`Plot`
CurveFitter.`getPlot()`
`Plot`
CurveFitter.`getPlot(int points)`

## Uses of Plot in ij.plugin

Methods in ij.plugin that return Plot
Modifier and Type
Method
Description
`Plot`
Profiler.`getPlot()`
`Plot`
ZAxisProfiler.`getPlot()`
`static Plot`
ZAxisProfiler.`getPlot(ImagePlus imp)`
Returns a Plot of the selection mean gray value versus slice number.
`static Plot`
ZAxisProfiler.`getPlot(ImagePlus imp, String options)`
Returns a Plot of the selection mean versus slice number for the specified hyperstack, where 'options' can be "time" or "z-axis".